3

I am using liblas 1.8.1 and laszip 3.1.1 on Mac OS High Sierra. Both were installed using brew install <package>. I am looking to get information from a laz file using the following command:

lasinfo lazfile.laz

Which gives me the following error:

error: Compression support not enabled in liblas configuration

Assuming liblas allows working with laz files, how can I resolve this error and work with laz files in liblas?

  • 1
    It sounds like an issue with the LibLAS prior to installation, this could be because the ZIP handler is not supported on Mac or that the distribution you have downloaded has ZIP turned off and downloading from a different source might fix it - or alternately you might need to install a 3rd party ZIP handler (that sort of thing should be in the release notes) ; you could use a PC to convert your LAZ to LAS, from there you shouldn't have any difficulty. – Michael Stimson Feb 12 '18 at 5:18
  • Have you checked this link? It has a similar question (with an answer) as yours. – Andre Silva Sep 8 '18 at 1:48
1

The way I see liblas installed from brew, it does not include flags WITH_LASZIP or WITH_STATIC_LASZIP on build.

See: https://github.com/Homebrew/homebrew-core/blob/master/Formula/liblas.rb

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.